Subject: Re: git clone: very long "resolving deltas" phase

From: Vitaly <[email-masked]>
Date: Wed, 07 Apr 2010 12:14:36 +0400

Too bad..
Yes, we really have a very large repo with binary files.

So, as far as I understand, the fastest way is to use rsync or smth like 
this instead of "git clone".

P.S. Btw, how can I ask for a feature of incorporating hashes into 
transport stream in trusted environments?

On 04/07/2010 12:00 PM, Ilari Liusvaara wrote:
> On Wed, Apr 07, 2010 at 09:54:29AM +0400, Vitaly Berov wrote:
>    
>> I suspected the security reasons.
>>
>> Ok, we work in trusted environment. How can we turn this behavior off?
>>      
>
> It can't be turned off. Protocol requires client to recompute hashes
> as they are not explicitly available in transport stream (must be inferred
> instead).
>
>    
>>> This being said, you should never have to wait 6 hours for that phase to
>>> complete.  It is typically a matter of minutes if not seconds.
>>>        
> The reasons why it might take 6 hours (offhand from memory):
>
> - Extremely large repo
> - Very large files in repo pushing client into swap.
>
> -Ilari
>
>